#pragma once

#include "ComponentEditor.hpp"

struct FurnitureTemplateComponent;

class FurnitureTemplateEditor : public ComponentEditor<FurnitureTemplateComponent> {
public:
    bool renderComponent(flecs::entity entity, FurnitureTemplateComponent& furniture) override;
    const char* getName() const override { return "Furniture Template"; }
};
